Axis2/C: http worker

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http worker
[http transport]

## Files
file | axis2_http_worker.h
| axis2 HTTP Worker

## Typedefs
typedef struct axis2_http_worker | axis2_http_worker_t
## Functions
AXIS2_EXTERN axis2_bool_t | axis2_http_worker_process_request (axis2_http_worker_t *http_worker, const axutil_env_t *env, axis2_simple_http_svr_conn_t *svr_conn, axis2_http_simple_request_t *simple_request)
AXIS2_EXTERN axis2_status_t | axis2_http_worker_set_svr_port (axis2_http_worker_t *http_worker, const axutil_env_t *env, int port)
AXIS2_EXTERN void | axis2_http_worker_free (axis2_http_worker_t *http_worker, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_worker_t * | axis2_http_worker_create (const axutil_env_t *env, axis2_conf_ctx_t *conf_ctx)

## Typedef Documentation

typedef struct axis2_http_worker axis2_http_worker_t

Type name for struct axis2_http_worker

## Function Documentation

AXIS2_EXTERN axis2_http_worker_t* axis2_http_worker_create | ( | const axutil_env_t * | env,
|  | axis2_conf_ctx_t * | conf_ctx |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | conf_ctx | pointer to configuration context

AXIS2_EXTERN void axis2_http_worker_free | ( | axis2_http_worker_t * | http_worker,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | http_worker | pointer to http worker
  | env | pointer to environment strut

Returns:
  void

AXIS2_EXTERN axis2_bool_t axis2_http_worker_process_request | ( | axis2_http_worker_t * | http_worker,
|  | const axutil_env_t * | env,
|  | axis2_simple_http_svr_conn_t * | svr_conn,
|  | axis2_http_simple_request_t * | simple_request |
| ) |  |  |

Parameters:

  | http_worker | pointer to http worker
  | env | pointer to environment struct
  | svr_conn | pointer to svr conn
  | simple_request | pointer to simple request

AXIS2_EXTERN axis2_status_t axis2_http_worker_set_svr_port | ( | axis2_http_worker_t * | http_worker,
|  | const axutil_env_t * | env,
|  | int | port |
| ) |  |  |

Parameters:

  | http_worker | pointer to http worker
  | env | pointer to environment struct
  | port |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE